import { ReposComponent } from "@/app/components/Repos/page";
import { ReposDirComponent } from "@/app/components/ReposDir/page";
import Link from "next/link";
import styles from "./[name].module.css";
import { Suspense } from "react";

const page = ({ params: { name } }) => {
  return (
    <div className={styles["repo-card"]}>
      <Link href="/code/repos" className={styles.btn}>
        Back To Repositories
      </Link>
      <Suspense fallback={<h3>Loading repo...</h3>}>
        <ReposComponent name={name} />
      </Suspense>
      <Suspense fallback={<h3>Loading dir...</h3>}>
        <ReposDirComponent name={name} />
      </Suspense>
    </div>
  );
};

export default page;
