import Link from "next/link";
import styles from "./repos.module.css";
import { FaStar, FaCodeBranch, FaEye } from "react-icons/fa";
async function fetchRepos() {
  const response = await fetch(
    "https://api.github.com/users/bradtraversy/repos",
    {
      next: {
        revalidate: 100, //after 100sec
      },
    }
  );
  await new Promise((resolve) => setTimeout(resolve, 1000));
  return await response.json();
}
const Repos = async () => {
  const repos = await fetchRepos();
  return (
    <div className={styles["repo-container"]}>
      <h1>Repositories</h1>
      <ul className={styles["repo-list"]}>
        {repos.map((e, i) => (
          <li key={i}>
            <Link href={`/code/repos/${e.name}`}>
              <h3>{e.name}</h3>
              <p>{e.description}</p>
              <div className={styles["icons"]}>
                <span>
                  <FaStar />
                  {e.stargazers_count}
                </span>
                <span>
                  <FaCodeBranch />
                  {e.forks_count}
                </span>
                <span>
                  <FaEye />
                  {e.watchers_count}
                </span>
              </div>
            </Link>
          </li>
        ))}
      </ul>
    </div>
  );
};

export default Repos;
