import { FaStar, FaCodeBranch, FaEye } from "react-icons/fa";
import styles from "./Repos.module.css";

async function fetchRepoByName(name) {
  const response = await fetch(
    `https://api.github.com/repos/bradtraversy/${name}`
  );
  return await response.json();
}

export const ReposComponent = async ({ name }) => {
  const repos = await fetchRepoByName(name);
  return (
    <div>
      <h2>{repos.name}</h2>
      <p>{repos.description}</p>
      <div className={styles["repo-count"]}>
        <span>
          <FaStar />
          {repos.stargazers_count}
        </span>

        <span>
          <FaCodeBranch />
          {repos.forks_count}
        </span>
        <span>
          <FaEye />
          {repos.watchers_count}
        </span>
      </div>
    </div>
  );
};
