import Link from "next/link";
import styles from "./ReposDir.module.css";

async function fetchRepoContent(name) {
  const response = await fetch(
    `https://api.github.com/repos/bradtraversy/${name}/contents`
  );
  await new Promise((resolve) => setTimeout(resolve, 2000));
  return await response.json();
}

export const ReposDirComponent = async ({ name }) => {
  const contents = await fetchRepoContent(name);

  const dirs = await contents.filter((content) => content.type === "dir");

  return (
    <>
      <h3>Directories</h3>
      <ul className={styles.list}>
        {dirs.map((e) => (
          <li key={e.path}>
            <Link href={`/code/repos/${name}/${e.path}`}>{e.path}</Link>
          </li>
        ))}
      </ul>
    </>
  );
};
